Bug 468329 - Review Request: sblim-indication_helper - Toolkit for CMPI Indication Providers
Review Request: sblim-indication_helper - Toolkit for CMPI Indication Providers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: srinivas
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 468400
  Show dependency treegraph
 
Reported: 2008-10-24 01:48 EDT by Matt Domsch
Modified: 2009-10-07 15:26 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.4.2-3.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-05 00:34:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
srinivas_ramanatha: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2008-10-24 01:48:49 EDT
Spec URL: http://domsch.com/linux/fedora/sblim/sblim-indication_helper/sblim-indication_helper.spec

SRPM URL: http://domsch.com/linux/fedora/sblim/sblim-indication_helper/sblim-indication_helper-0.4.2-134.src.rpm

Description: 
This package contains a developer library for helping out when writing
CMPI providers. This library polls the registered functions for data
and, if it changes, a CMPI indication is set with the values of the
indication class properties (also set by the developer).
Comment 1 Matt Domsch 2008-10-24 11:06:15 EDT
sblim-sfcb-base will need a minor update after this package is approved, to BR: sblim-indication_helper-devel, to automatically pick up indication support.
Comment 2 Christopher D. Stover 2008-10-24 22:44:47 EDT
***Unofficial Review***

* rpmlint looks good:
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

* Why is your build number 134?  I believe it should start at 1.

* You don't need gcc-c++ in your BuildRequires.

* I'd run rpmdev-newspec to create a sample spec file and format yours like that.  I think it helps to have everything standardized for when someone looks at it.  For instance, you have the 'BuildRequires' tag coming after 'Name' and it should be 'Version'.

* I'm sure you'll do this if you look at the sample spec file but you should use %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) as your BuildRoot.

* Your spec file license shows IBM but the upstream license shows "Common Public License" so this should probably be changed from IBM to CPL.

* You should use Source0: <link> to match the form of SourceX.

* Requires -- you can leave out the following, RPM can figure them out.
Requires:       sblim-cmpi-devel glibc-devel

* You should use %{__rm} under %install to be consistent within the spec file.

* You must run %{__rm} -rf %{buildroot} at the beginning of %install.

That's about all I have.
Comment 3 Praveen K Paladugu 2009-06-30 17:31:14 EDT
Made the above mentioned changes.
  Changed the license to CPL since the README mentioned this is code is distributed under CPL. 
 
  The final versions of the files can be found at:
http://linux.dell.com/files/fedora/sblim-indication_helper/sblim-indication_helper-0.4.2-1.fc10.src.rpm
http://linux.dell.com/files/fedora/sblim-indication_helper/sblim-indication_helper.spec

Please review the above files.
Comment 4 Praveen K Paladugu 2009-06-30 17:44:14 EDT
The output of rpmlint:

[user]# rpmlint sblim-indication_helper.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 5 Praveen K Paladugu 2009-07-15 14:24:50 EDT
The Package naming Guidelines suggest to use '-' between words all the time. The source package in this case, has an "_"(underscore). Should the underscore be changed to a hyphen?
Comment 6 srinivas 2009-07-31 06:41:46 EDT
Review:

Fix all rpmlint errors/warnings:

[root@srini-f11 rpmbuild]# rpmlint SPECS/sblim-indication_helper.spec 
SPECS/sblim-indication_helper.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 11)
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
[root@srini-f11 rpmbuild]# rpmlint SRPMS/sblim-indication_helper-0.4.2-1.fc11.src.rpm 
sblim-indication_helper.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 11)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[root@srini-f11 rpmbuild]# rpmlint RPMS/x86_64/sblim-indication_helper-*
sblim-indication_helper.x86_64: E: devel-dependency glibc-devel
sblim-indication_helper-devel.x86_64: W: no-dependency-on sblim-indication_helper/sblim-indication_helper-libs/libsblim-indication_helper
3 packages and 0 specfiles checked; 1 errors, 1 warnings.

naming: ok ( I would prefer it to have a "-" between the words)
spec file name matches: ok 
license = CPL : ok
license tag: ok
spec in english: ok
spec legible: ok
no prebuild binaries: ok
no packager, vendor, copyright, tags: ok
summary and description tags: ok
no rpaths: ok
no config files: ok
no initscripts: ok
no desktop files: ok
consistent use of macros: ok
no makeinstall: ok
no lang files: ok
scriptlets: ok
no conditional deps: ok
builds with a normal user account: ok
not relocatable: ok
code, not content: ok
directory ownership: ok
users and groups: ok
not a web app: ok
conflicts: ok
no kmods: ok
no files under /srv: ok
source matches: ok
calls ldconfig appropriately: ok
no duplicate files: ok
file permissions: ok
libtool archives removed: ok
%clean section: ok
no large docs, no need for -doc subpackage: ok
%doc usage ok
no static libs: ok
no pkgconfig files: ok
all libtool .la files removed: ok
dir ownership correct: ok
%install does rm: ok
filenames UTF8: ok
Comment 8 srinivas 2009-08-01 05:29:26 EDT
Review approved.
Changing the flag to fedora-review "+"
Comment 9 Praveen K Paladugu 2009-08-03 09:37:15 EDT
New Package CVS Request
=======================
Package Name:sblim-indication_helper
Short Description: libraries for writing CMPI providers 
Owners: praveenp,srini
Branches:F-9 F-10 F-11 EL-4 EL-5
InitialCC: mdomsch,srini
Comment 10 Praveen K Paladugu 2009-08-03 09:40:58 EDT
New Package CVS Request
=======================
Package Name:sblim-indication_helper
Short Description: libraries for writing CMPI providers 
Owners: praveenp
Branches:F-10 F-11 EL-4 EL-5
InitialCC: mdomsch srini
Comment 11 Jason Tibbitts 2009-08-03 17:29:31 EDT
CVS done.
Comment 12 Praveen K Paladugu 2009-08-05 00:33:55 EDT
Builds on all the branches. Closing this issue.
Comment 13 Fedora Update System 2009-08-18 16:31:50 EDT
sblim-indication_helper-0.4.2-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sblim-indication_helper-0.4.2-3.fc10
Comment 14 Fedora Update System 2009-08-18 16:33:23 EDT
sblim-indication_helper-0.4.2-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sblim-indication_helper-0.4.2-3.fc11
Comment 15 Fedora Update System 2009-08-18 16:34:20 EDT
sblim-indication_helper-0.4.2-3.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/sblim-indication_helper-0.4.2-3.el4
Comment 16 Fedora Update System 2009-08-18 16:34:50 EDT
sblim-indication_helper-0.4.2-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/sblim-indication_helper-0.4.2-3.el5
Comment 17 Fedora Update System 2009-09-06 16:39:35 EDT
sblim-indication_helper-0.4.2-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-09-06 16:43:35 EDT
sblim-indication_helper-0.4.2-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-09-08 19:00:58 EDT
sblim-indication_helper-0.4.2-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-09-08 19:01:34 EDT
sblim-indication_helper-0.4.2-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Praveen K Paladugu 2009-09-09 10:26:35 EDT
New Package CVS Request
=======================
Package Name:sblim-indication_helper
Short Description: libraries for writing CMPI providers 
Owners: praveenp
Branches:EPEL-4 EPEL-5
InitialCC: mdomsch srini
Comment 22 Kevin Fenzi 2009-09-09 12:32:09 EDT
This package already has EL-4/EL-5 branches. 
Feel free to add a new request and reset the flag if you need anything further.
Comment 23 Bill Nottingham 2009-10-07 15:26:03 EDT
(In reply to comment #1)
> sblim-sfcb-base will need a minor update after this package is approved, to BR:
> sblim-indication_helper-devel, to automatically pick up indication support.  

This part didn't appear to happen.

Note You need to log in before you can comment on or make changes to this bug.